import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiAuthenticationLoginBuilder } from './authentication-login-builder';
import { SmzUiBuilder } from './ui-builder';
export declare class SmzUiAuthenticationBuilder extends SmzBuilderUtilities<SmzUiAuthenticationBuilder> {
    private _builder;
    protected that: this;
    constructor(_builder: SmzUiBuilder);
    setLocalStoragePrefix(prefix: string): SmzUiAuthenticationBuilder;
    setAuthenticatedRoot(path: string): SmzUiAuthenticationBuilder;
    setNonAuthenticatedRoot(path: string): SmzUiAuthenticationBuilder;
    mapAccessTokenData(from: string, to: string, type: 'array' | 'string' | 'boolean'): SmzUiAuthenticationBuilder;
    setTokenResponse(token: string, refreshToken: string): SmzUiAuthenticationBuilder;
    login(): SmzUiAuthenticationLoginBuilder;
    setTenantDisplayName(name: string): SmzUiAuthenticationBuilder;
    get builder(): SmzUiBuilder;
}
